## org.apache.xalan.xpath.xml
Class NameSpace

    java.lang.Object
      |
      +--org.apache.xalan.xpath.xml.NameSpace

public class NameSpace
extends java.lang.Object
implements java.io.Serializable

**For advanced use only** A representation of a namespace. One of these will be pushed on the namespace stack for each element.

See Also:
  Serialized Form

Field Summary
`NameSpace` `m_next` **For advanced use only**
`java.lang.String` `m_prefix` **For advanced use only**
`java.lang.String` `m_uri` **For advanced use only**

Constructor Summary
`NameSpace(java.lang.String prefix, java.lang.String uri)` **For advanced use only** Construct a namespace for placement on the result tree namespace stack.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_next

    public NameSpace m_next

### m_prefix

    public java.lang.String m_prefix

### m_uri

    public java.lang.String m_uri

Constructor Detail

### NameSpace

    public NameSpace(java.lang.String prefix,
                     java.lang.String uri)

  **For advanced use only** Construct a namespace for placement on the result tree namespace stack.

Copyright © 2000 Apache XML Project. All Rights Reserved.